unit Unit2;

interface

uses
  System.SysUtils, System.Classes, WEBLib.Graphics, WEBLib.Forms, Vcl.Controls,
  Vcl.StdCtrls, WEBLib.StdCtrls, web;

type
  TForm2 = class(TWebForm)
    WebLabel1: TWebLabel;
    WebButton2: TWebButton;
    frm2Edit: TWebEdit;
    WebLabel2: TWebLabel;
    WebButton1: TWebButton;
    procedure WebButton2Click(Sender: TObject);
    procedure WebFormHashChange(Sender: TObject; oldURL, newURL: string);
    [async]
    procedure WebButton1Click(Sender: TObject);
    procedure WebFormCreate(Sender: TObject);
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}
uses
  unit3;

procedure TForm2.WebButton1Click(Sender: TObject);
var
  form3: TForm3;
begin
   form3 := Tform3.Create(Self);
   form3.Popup := true;
   await(Tform3, form3.Load());
   try
     await(TModalResult, form3.Execute);
   finally
       form3.Free;
   end;

end;

procedure TForm2.WebButton2Click(Sender: TObject);
begin
  Close;
end;

procedure TForm2.WebFormCreate(Sender: TObject);
begin
  Form2 := Self;
end;

procedure TForm2.WebFormHashChange(Sender: TObject; oldURL, newURL: string);
begin
  if window.location.hash = '' then
    Close;
end;

end.
